org.jbpm.services.task.identity

## Class DefaultUserInfo

- java.lang.Object
- - org.jbpm.services.task.identity.AbstractUserGroupInfo
  - - org.jbpm.services.task.identity.DefaultUserInfo

- All Implemented Interfaces:
    org.kie.internal.task.api.UserInfo

      public class DefaultUserInfo
      extends AbstractUserGroupInfo
      implements org.kie.internal.task.api.UserInfo

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,Map<String,Object>>` | `registry`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultUserInfo(boolean activate)`
    `DefaultUserInfo(Properties registryProps)` Constructs default UserInfo implementation to provide required information to the escalation handler.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `buildRegistry(Properties registryProps)`
    `String` | `getDisplayName(org.kie.api.task.model.OrganizationalEntity entity)`
    `String` | `getEmailForEntity(org.kie.api.task.model.OrganizationalEntity entity)`
    `String` | `getLanguageForEntity(org.kie.api.task.model.OrganizationalEntity entity)`
    `Iterator<org.kie.api.task.model.OrganizationalEntity>` | `getMembersForGroup(org.kie.api.task.model.Group group)`
    `boolean` | `hasEmail(org.kie.api.task.model.Group group)`

    - ### Methods inherited from class org.jbpm.services.task.identity.AbstractUserGroupInfo

      `readProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### registry

          protected Map<String,Map<String,Object>> registry

  - ### Constructor Detail

    - #### DefaultUserInfo

          public DefaultUserInfo(boolean activate)

    - #### DefaultUserInfo

          public DefaultUserInfo(Properties registryProps)

      Constructs default UserInfo implementation to provide required information to the escalation handler. following is the string for every organizational entity entityId=email:locale:displayname:[member,member] members are optional and should be given for group entities
      Parameters:
        `registryProps` -

  - ### Method Detail

    - #### getDisplayName

          public String getDisplayName(org.kie.api.task.model.OrganizationalEntity entity)

      Specified by:
        `getDisplayName` in interface `org.kie.internal.task.api.UserInfo`

    - #### getMembersForGroup

          public Iterator<org.kie.api.task.model.OrganizationalEntity> getMembersForGroup(org.kie.api.task.model.Group group)

      Specified by:
        `getMembersForGroup` in interface `org.kie.internal.task.api.UserInfo`

    - #### hasEmail

          public boolean hasEmail(org.kie.api.task.model.Group group)

      Specified by:
        `hasEmail` in interface `org.kie.internal.task.api.UserInfo`

    - #### getEmailForEntity

          public String getEmailForEntity(org.kie.api.task.model.OrganizationalEntity entity)

      Specified by:
        `getEmailForEntity` in interface `org.kie.internal.task.api.UserInfo`

    - #### getLanguageForEntity

          public String getLanguageForEntity(org.kie.api.task.model.OrganizationalEntity entity)

      Specified by:
        `getLanguageForEntity` in interface `org.kie.internal.task.api.UserInfo`

    - #### buildRegistry

          protected void buildRegistry(Properties registryProps)

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.